<?php

/**
 * NOTE: This file is auto generated by OpenAPI Generator.
 * Do NOT edit it manually. Run `php artisan openapi:generate-server`.
 */

use App\Http\ApiV1\Modules\Brands\Controllers\BrandsController;
use App\Http\ApiV1\Modules\Categories\Controllers\ActualCategoryPropertiesController;
use App\Http\ApiV1\Modules\Categories\Controllers\CategoriesController;
use App\Http\ApiV1\Modules\Common\Controllers\EntitiesController;
use App\Http\ApiV1\Modules\Common\Controllers\FailedJobsController;
use App\Http\ApiV1\Modules\Discounts\Controllers\DiscountsController;
use App\Http\ApiV1\Modules\Elastic\Controllers\IndexerTimestampsController;
use App\Http\ApiV1\Modules\ElasticOffers\Controllers\OffersController;
use App\Http\ApiV1\Modules\Nameplates\Controllers\NameplateProductsController;
use App\Http\ApiV1\Modules\Nameplates\Controllers\NameplatesController;
use App\Http\ApiV1\Modules\Offers\Controllers\OffersController as OffersController2;
use App\Http\ApiV1\Modules\Products\Controllers\ImagesController;
use App\Http\ApiV1\Modules\Products\Controllers\ProductGroupProductsController;
use App\Http\ApiV1\Modules\Products\Controllers\ProductGroupsController;
use App\Http\ApiV1\Modules\Products\Controllers\ProductPropertyValuesController;
use App\Http\ApiV1\Modules\Products\Controllers\ProductsController;
use App\Http\ApiV1\Modules\Properties\Controllers\PropertiesController;
use App\Http\ApiV1\Modules\Properties\Controllers\PropertyDirectoryValuesController;
use Illuminate\Support\Facades\Route;

Route::post('common/entities:migrate', [EntitiesController::class, 'migrate']);
Route::post('common/failed-jobs:search', [FailedJobsController::class, 'search']);
Route::post('elastic/indexer-timestamps:search', [IndexerTimestampsController::class, 'search']);
Route::delete('elastic/indexer-timestamps/{id}', [IndexerTimestampsController::class, 'delete']);
Route::patch('elastic/indexer-timestamps/{id}', [IndexerTimestampsController::class, 'patch']);
Route::post('elastic-offers/offers:search-one', [OffersController::class, 'searchOne']);
Route::post('elastic-offers/offers:search', [OffersController::class, 'search']);
Route::get('elastic-offers/offers/{id}', [OffersController::class, 'get']);
Route::post('categories/categories:search', [CategoriesController::class, 'search']);
Route::post('categories/actual-properties:search', [ActualCategoryPropertiesController::class, 'search']);
Route::post('properties/properties:search', [PropertiesController::class, 'search']);
Route::post('properties/property-directory-values:search', [PropertyDirectoryValuesController::class, 'search']);
Route::post('brands/brands:search', [BrandsController::class, 'search']);
Route::post('nameplates/nameplates:search', [NameplatesController::class, 'search']);
Route::post('nameplates/nameplate-products:search', [NameplateProductsController::class, 'search']);
Route::post('offers/offers:search', [OffersController2::class, 'search']);
Route::post('discounts/discounts:search', [DiscountsController::class, 'search']);
Route::post('products/product-groups:search', [ProductGroupsController::class, 'search']);
Route::post('products/product-group-products:search', [ProductGroupProductsController::class, 'search']);
Route::post('products/products:search', [ProductsController::class, 'search']);
Route::post('products/images:search', [ImagesController::class, 'search']);
Route::post('products/product-property-values:search', [ProductPropertyValuesController::class, 'search']);
